version: "3.6"

services:
  influxdb:
    image: influxdb:2.7.1-alpine
    container_name: voda-ujep-influx
    restart: on-failure:10
    env_file:
      - .env
    volumes:
      - ./files/influxdb2:/var/lib/influxdb2:rw
    ports:
      - "${DOCKER_INFLUXDB_INIT_PORT}:${DOCKER_INFLUXDB_INIT_PORT}"

  telegraf:
    image: telegraf:1.27-alpine
    container_name: voda-telegraf
    restart: on-failure:10
    env_file:
      - .env
    volumes:
      - ./telegraf/telegraf.conf:/etc/telegraf/telegraf.conf:ro

  fetcher:
    build: .
    container_name: voda-ujep-fetcher
    restart: on-failure:10
    env_file:
      - .env
    depends_on:
      - telegraf
    volumes:
      - ./files:/code/files:rw
